Get an ignore filter

GET /api/v1/configuration/monitoring/ignore-filters/{id}

Returns the details of a single log ignore filter.

Path parameters

  • id string Required

    The identifier of the ignore filter.

Responses

  • 200 application/json

    The requested ignore filter.

    Hide response attributes Show response attributes object
    • id string Required

      The unique identifier of the ignore filter, used as the {id} path parameter. The predefined ignore filter identifiers are:

      • audit-ignore-data-reads: ignore data searches and reads. - audit-ignore-ui-requests: ignore UI requests. - audit-ignore-data-writes: ignore data writes. - audit-ignore-successful-authentications: ignore successful sign-ins. - audit-ignore-successful-iam-checks: ignore routine user and role checks.
    • name string Required

      The human-readable name of the ignore filter.

    • description string Required

      A description of what the ignore filter suppresses and when to use it.

    • type string Required

      The kind of log this ignore filter applies to.

      Value is audit.

  • 400 application/json

    Bad request

    Hide response attribute Show response attribute object
    • errors array[object] Required

      An error response returned by the API.

      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

  • 404 application/json

    Not Found

    Hide response attribute Show response attribute object
    • errors array[object] Required

      An error response returned by the API.

      Hide errors attributes Show errors attributes object

      An error response returned by the API.

      • message string Required

        A human-readable message of the error.

      • code string Required

        An identifier for this type of error.

GET /api/v1/configuration/monitoring/ignore-filters/{id}
curl \
 --request GET 'https://api.elastic-cloud.com/api/v1/configuration/monitoring/ignore-filters/audit-ignore-data-reads' \
 --header "Authorization: $API_KEY"